@import url("https://fonts.googleapis.com/css2?family=Fira+Sans:wght@400;700&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: linear-gradient(to bottom right, #fcd7b5, #ffafff);
  font-family: "Fira Sans", sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  line-height: 1.5;
}

main {
  background-color: hsl(239, 45%, 17%);
  border-radius: 20px;
  box-shadow: 0 10px 10px -6px hsl(239, 45%, 17%);
  color: #fff;
  max-width: 50rem;
  overflow: hidden;
  padding: 3rem;
  padding-bottom: 6rem;
  position: relative;
  width: 70%;
}

.icon {
  width: 32px;
  height: 32px;
  fill: #fff;
  display: inline-block;
  opacity: 1;
  transition: all 0.3s;
}

details[open] .icon {
  transform: rotate(180deg);
}

#close-btn {
  background-color: transparent;
  border: none;
  border-radius: 50%;
  color: #efefef;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.25rem;
  position: absolute;
  right: 1rem;
  top: 1rem;
  transition: all 0.1s;
  z-index: 100;
}

#close-btn:hover {
  background-color: #c4c4c449;
  transform: scale(1.25);
}

main details {
  border-bottom: 2px dashed #a7a7a77f;
  padding: 1rem 0;
}

h1 {
  font-size: clamp(2rem, 3vw, 3rem);
  font-weight: 800;
  letter-spacing: 3px;
  margin-bottom: 2rem;
  max-width: max-content;
  position: relative;
  z-index: 1;
}

h1::after {
  background-color: white;
  border-radius: 999px;
  content: "";
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  height: 5px;
  width: 100%;
  opacity: 0.4;
}

summary {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.5rem;
  font-size: clamp(1.1rem, 2vw, 1.4rem);
  font-weight: 500;
  list-style-type: none;
}

.answer {
  font-weight: 300;
  padding-top: 1rem;
}

.bottom-wave {
  position: absolute;
  bottom: 0px;
  right: 0;
  pointer-events: none;
  width: 100%;
  transform: scaleX(-1);
  opacity: 0.2;
}

.bottom-wave path {
  fill: gold !important;
}
